﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DapperORM.Models
{
    /// <summary>
    /// 数据库表对象基类，所有数据库中的表对象要继承这个基类，基类的成员必须要有
    /// </summary>
    [Serializable]
    public abstract class BaseModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        public string Create_User { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime Create_Time { get; set; }

        /// <summary>
        /// 更新人
        /// </summary>
        public string Update_User { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime? Update_Time { get; set; }

        /// <summary>
        /// 是否逻辑删除
        /// </summary>
        public int Is_Deleted { get; set; }

        /// <summary>
        /// 时间戳
        /// </summary>
        public long Timestamp { get; set; }
    }
}
